#!/bin/sh

CONFDIR=~/.dvr
SCRIPTDIR=`dirname $0`
DESKDIR=~/Desktop
AUTODIR=$DESKDIR/Autostart
KSENOS=/usr/bin/ksenos

if [ ! -e $KSENOS ]; then
	echo Ksenos DVR not found! Install it first.
	exit
fi

if [ -d $CONFDIR ]; then
	echo Configuration directory already exists!
else
	mkdir ${CONFDIR}
	${SCRIPTDIR}/reservecapture >${CONFDIR}/ksenos.drv
fi

while true; do
  echo -n "Set Ksenos DVR to automatically start with X? (y/n) "
  read yn
  case $yn in
    y* | Y* ) break ;;
    [nN]* )   echo "Skipping." ; exit ;;
    q* ) exit ;;
    * ) echo "Please select y or n." ;;
  esac
done

if [ ! -d $DESKDIR ]; then
	mkdir ${DESKDIR}
fi

if [ ! -d $AUTODIR ]; then
	mkdir ${AUTODIR}
fi

cd ${AUTODIR}
ln -s ${KSENOS} ./ksenos-startup
